package com.guwan.util;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;
import java.util.Base64;

public class EncodeUrlExample {
    public static void main(String[] args) {
        String url = "http://127.0.0.1:9000/yunnni/2023最新版Node.js下载安装及环境配置教程.pdf"; // 要预览文件的访问地址
        try {
            // 对URL进行Base64编码
            String base64EncodedUrl = Base64.getEncoder().encodeToString(url.getBytes());
            // 对Base64编码后的字符串进行URL编码
            String encodedUrl = URLEncoder.encode(base64EncodedUrl, "UTF-8");
            // 构建预览文件的URL
            String previewUrl = "http://127.0.0.1:8012/onlinePreview?url=" + encodedUrl;
            System.out.println("预览文件的URL: " + previewUrl);
            // 这里可以打开预览文件的URL，例如使用Desktop类的browse方法
           // Desktop.getDesktop().browse(new URI(previewUrl));
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
    }
}